<?php
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");   
   include("Menu/menu_inicio.php");  
   include("Ordenes/ordenes.php"); 
   include("logos.php");	
   $nombrepagina = "PROCESOS PLANILLAS";
   $v_mysql=conn_mysql();
   encabezado($target); 
   $user=$_SESSION['validar'];   
   $tamano_pagina=20;
   $_SESSION['tam']=$tamano_pagina;  
   $pagina = $_GET["pagina"];
   echo 'PAGINA'.$pagina;
			    if(!$pagina){
		        	$inicio=0;
					$_SESSION['inicio']=$inicio;
		        	$pagina=1;
		  		}else{
		            $inicio=($pagina-1)*$tamano_pagina;
					$_SESSION['inicio']=$inicio;
		  		}
     $filas=1;   
      if($filas == 1)
	{ 
	 class llamado{
	 var $menuObj;
	      function validar1($id_user,$id_sucursal){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user,$id_sucursal);
	  	  }
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	 mostrar_cabeza_trabajo($nombrepagina);
	 
	 $sql="select * from info_empresa ";
     $ruta_logo=logo($sql);	 
$perfil=$_SESSION['perfil'];
$planilla=$_GET['planilla'];
$id_men=$_GET['id_men'];
if($perfil==1){
	$add="WHERE g.id_planilla='".$_GET['planilla']."' and g.id_mensajero='".$_GET['id_men']."'  order by g.id_conse";
}else{
	$add="WHERE g.id_planilla='".$_GET['planilla']."' and g.id_mensajero='".$_GET['id_men']."' and g.id_sucursal=$suc  order by g.id_conse";
}

$sql_ver_planilla="SELECT guia, g.orden, g.destinatario, g.direccion, g.telefono, o.producto, g.id_estado, e.nombre as estado FROM $tabla as g inner join ordenes as o on (g.orden=o.orden) inner join estados_gestion as e on (g.id_estado=e.id_estado) $add ";

$rst_select_lotes=mysql_query($sql_ver_planilla,$v_mysql);
$filas=mysql_num_rows($rst_select_lotes);
$total_paginas= ceil($filas/$tamano_pagina);


?>
<form action="" method="GET" name="backup">
<CENTER>
<table width="680" border="0" class="primaria">
<tr class=miTable_tr>
<td class=miTable_td><div align="center"><a href="ejecuta_planilla.php?id_user=<? echo $_GET['id_user'];?>&suc=<? echo $_GET['suc'];?>&id_menu=17"><img src="imagenes/back.gif" title="Volver"></a></div></td>
<td colspan="4" class=miTable_td><div align="center">..::<a href="Pdf/planilladetallada.php?planilla=<? echo $planilla;?>&tabla=<? echo $tabla;?>&ruta=<? echo $ruta_logo;?>&tabla=<? echo $tabla;?>&id_men=<? echo $_GET['id_men']; ?>" target="_blank" title="Reimprimir Pdf"> Imprimir Planilla No <? echo $planilla;?> Detallada  </a> - <a href="Pdf/planillaresumida.php?planilla=<? echo $planilla;?>&tabla=<? echo $tabla;?>&ruta=<? echo $ruta_logo;?>&tabla=<? echo $tabla;?>&id_men=<? echo $_GET['id_men']; ?>" target="_blank" title="Reimprimir Pdf">  Imprimir Planilla No <? echo $planilla;?> Resumida </a>::..</div></td>
<td class="miTable_td"><div align="center"><a href="accion_planilla.php", onClick='window.open("accion_planilla.php?planilla=<? echo $planilla;?>","window","width=300,height=200,toolbars=no,scrollbars=yes,resizable=no"); return false'><img src="imagenes/del.gif" title="Eliminar Planilla"></a></div></td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<DIV align="center">
Paginas Consultadas: <? echo $total_paginas ?>&nbsp;&nbsp;&nbsp;&nbsp;Registros Consultados:
<? echo $filas ?>
..::<a style="color:white;" href="Pdf/planilladetalladadescargar.php?planilla=<? echo $planilla;?>&tabla=<? echo $tabla;?>&ruta=<? echo $ruta_logo;?>&tabla=<? echo $tabla;?>&id_men=<? echo $_GET['id_men']; ?>" target="_blank" title="Descargar Csv"> Descargar Planilla No <? echo $planilla;?> Detallada  </a> -

 
</DIV>
</td>
</tr>
<tr class="miTable_tr">
<td valign=top class=miTable_th1 width="60"><? echo $Tguia ?></td>
<td valign=top class=miTable_th1 width="50"><? echo $Torden ?></td>
<td valign=top class=miTable_th1 width="180"><? echo $Tdestinatario ?></td>
<td valign=top class=miTable_th1 width="240"><? echo $Tdireccion ?></td>
<td valign=top class=miTable_th1 width="60"><? echo $Ttelefono ?></td>
<td valign=top class=miTable_th1 width="90"><? echo $Trastreo ?></td>
<!--td valign=top class=miTable_th1 colspan="2" width="60">Propiedad</td-->
</tr>
<?
	class elimina{
		  var $userObj;
		  function eliminar($perfil){
		  			$tamano_pagina=$_SESSION['tam'];
					$inicio=$_SESSION['inicio'];
		  		   $this->userObj=new select_zonas();
				   $this->userObj->planilla($inicio,$tamano_pagina,$_GET['suc'],$_GET['id_user'],$_GET['tabla'],$_GET['planilla'],$_GET['id_men']);
		  }
	}
	$eliminaObj=new elimina();
	$eliminaObj->eliminar($perfil);
?>
</tr>
<tr class=miTable_tr>
<td class=miTable_td colspan="9">
<div align="center">
<?
$id_user=$_GET['id_user'];
$id_sucursal=$_GET['suc'];
if($total_paginas>1)
		{   echo "Paginas:";
			//echo "&nbsp;&nbsp;"; 
			$start = ( $pagina-5 > 0 ? $pagina-5  : 1 );
			if ($start > 1 ){
				print "&nbsp;<a href=ver_planilla.php?pagina=".($start-1)."&id_user=$id_user&suc=$id_sucursal&planilla=$planilla&tabla=$tabla&id_men=$id_men'> << </A>";
			}
			for($i = 0; $i < 10 && $total_paginas >= $start+$i; $i++){
				if($pagina == $start+$i){
					print "&nbsp;&nbsp;".($start+$i); 
				}else{
					print "&nbsp;&nbsp;<a href='ver_planilla.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&planilla=$planilla&tabla=$tabla&id_men=$id_men'>". ($start+$i)." </A>";
				}
		   	}
			if($start+$i < $total_paginas){
			    print "&nbsp;&nbsp;<a href='ver_planilla.php?pagina=".($start+$i)."&id_user=$id_user&suc=$id_sucursal&planilla=$planilla&tabla=$tabla&id_men=$id_men'> >> </A>";

			}
		 	print "&nbsp;&nbsp;<a href='ver_planilla.php?pagina=1&id_user=$id_user&suc=$id_sucursal&planilla=$planilla&tabla=$tabla&id_men=$id_men'>Primera	P&aacute;gina</A>";
			print "&nbsp;&nbsp;<a href='ver_planilla.php?pagina=".($total_paginas)."&id_user=$id_user&suc=$id_sucursal&planilla=$planilla&tabla=$tabla&id_men=$id_men'>&Uacute;ltima P&aacute;gina</A>";
		 } 
?>
</div>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="9">
<DIV align="center">
Ir a la pagina
<input type='text' name='pagina' value='' size="5" class="inputbox">
<input type='hidden' name='id_user' value='<? echo $id_user?>'>
<input type='hidden' name='id_men' value='<? echo $id_men?>'>
<input type='hidden' name='suc' value='<? echo $id_sucursal?>'>
<input type='hidden' name='tabla' value='<? echo $tabla?>'>
<input type='hidden' name='planilla' value='<? echo $planilla?>'>
<input type='submit' name='' value='Ir' class="inputbox">
</DIV>
</td>
</tr>
</table>
</CENTER>

	 <?
	 mostrar_pie();
	} 
	 echo"</td>";
	echo"</tr>";   
   echo"</table>";     
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
    echo"<tbody><tr>";
      echo"<td></td>";
    echo"</tr>";
    echo"<tr>";
      echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
    echo"</tr>";
	echo"<tr>";
	?>
	 <td>
	  <center>
	  <? pie_de_pagina();?>
	  </center>
	 </td>
	<?php
    echo"</tr>";
    echo"</tbody></table>";
    echo"</center>";
    echo"</body>";
    echo"</html>";
?>
</form>

